<template>
  <header :class="`text-center bgcolor-${bgColor}`">
    <h1 class="text-primary">{{ props.title }}</h1>
    <p
      class="text-overline text-white"
      v-for="(paragraph, index) in props.body"
      :key="index"
    >
      {{ paragraph }}
    </p>
  </header>
</template>

<script setup lang="ts">
interface Header {
  title: string
  body?: string[]
  bgColor: string
}

const props = defineProps<Header>()
</script>

<style lang="sass" scoped>
header
  padding-bottom: 16px

  h1,p
    padding: 0 16px
    max-width: 700px
    text-align: justify

    margin: auto

  h1
    padding-top: 16px
</style>
